EDIT - bug #9605

Disable Details View for structure and property trees in character editor
05/04/2021 10:03 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal Found in Version:

Description

Changes of property tree or structure tree are not persisted in character editor therefore it should not be possible to edit the tree.

Associated revisions

Revision 8cec01d8 - 05/05/2021 09:54 AM - Katja Luther

fix #9605: disable details for termtree in character editor

Revision 59¢d7375 - 05/11/2021 08:57 AM - Katja Luther

ref #9605: correct handling of selection handling when opening termtree or term editor

History

#1 - 05/05/2021 09:52 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|8cec01d85742928dc10fb695d2f778f627c8414a.

#2 - 05/05/2021 09:53 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please review

#3 - 05/06/2021 07:16 PM - Andreas Muiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Generally this works. However, there is a special situation which shows a strange behavior:
e open character editor
e select a structure tree (or a property tree)

¢ open term tree editor for structures => the details view is still open and shows the data for the previously selected tree with enabled fields

Generally the details view should be emptied in such a situation | guess. Also the supplemental data view still shows data which seems to be not
correct.

#4 - 05/11/2021 08:58 AM - Katja Luther
- Status changed from Feedback to Resolved
Andreas Miller wrote:
Generally this works. However, there is a special situation which shows a strange behavior:
e open character editor
e select a structure tree (or a property tree)

¢ open term tree editor for structures => the details view is still open and shows the data for the previously selected tree with enabled fields

Generally the details view should be emptied in such a situation | guess. Also the supplemental data view still shows data which seems to be not

04/18/2024 1/2



https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/8cec01d85742928dc10fb695d2f778f627c8414a

correct.

This is fixed now for term tree and term vocabulary editor.

#5 - 05/11/2021 08:59 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#6 - 05/12/2021 10:23 AM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther
- Priority changed from New to Highest

- % Done changed from 50 to 100

This works as expected now

#7 - 05/17/2021 09:52 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23
